## START: Set by rpmautospec
## (rpmautospec version 0.7.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-multipart
Version:        0.0.11
Release:        %autorelease
Summary:        A streaming multipart parser for Python

License:        Apache-2.0
URL:            https://github.com/Kludex/python-multipart
Source:         %{pypi_source python_multipart}

BuildArch:      noarch

BuildRequires:  python3-devel

# See testenv.deps from
# https://github.com/Kludex/python-multipart/blob/%%{version}/tox.ini.  Because
# of unwanted coverage dependencies and arguments, it’s not worth packaging
# from the GitHub source archive and generating test dependencies with tox;
# it’s much easier to just enumerate them manually.
BuildRequires:  %{py3_dist pytest}
BuildRequires:  %{py3_dist PyYAML}

%global common_description %{expand:
Python-Multipart is a streaming multipart parser for Python.}

%description %{common_description}


%package -n python3-multipart
Summary:        %{summary}

%description -n python3-multipart %{common_description}


%prep
%autosetup -n python_multipart-%{version} -p1


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files -l multipart


%check
%pytest


%files -n python3-multipart -f %{pyproject_files}
%doc README.md


%changelog
## START: Generated by rpmautospec
* Sat Sep 28 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.0.11-1
- Update to 0.0.11 (close RHBZ#2315448)

* Sat Sep 21 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.0.10-1
- Update to 0.0.10 (close RHBZ#2313998)

* Sat Sep 21 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.0.9-4
- Slightly improved package description

* Sat Sep 21 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.0.9-3
- Make it clear where the test dependencies come from

* Sat Sep 21 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.0.9-2
- Adjust spec-file whitespace and ordering per personal preference

* Fri Feb 16 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.0.9-1
- Update to 0.0.9 (close RHBZ#2263586)

* Mon Feb 05 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.0.7-1
- Update to 0.0.7 (close RHBZ#2262502)

* Mon Feb 05 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.0.6-6
- Assert that .dist-info contains a license file

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jun 13 2023 Python Maint <python-maint@redhat.com> - 0.0.6-2
- Rebuilt for Python 3.12

* Mon Feb 27 2023 Carl George <carl@george.computer> - 0.0.6-1
- Update to version 0.0.6, resolves rhbz#2173719

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.5-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.5-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 0.0.5-15
- Rebuilt for Python 3.11

* Wed Jan 26 2022 Carl George <carl@george.computer> - 0.0.5-14
- Fix FTBFS rhbz#2046037

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.5-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.5-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 0.0.5-11
- Rebuilt for Python 3.10

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.5-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.5-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 0.0.5-8
- Rebuilt for Python 3.9

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.5-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Oct 03 2019 Miro Hrončok <mhroncok@redhat.com> - 0.0.5-6
- Rebuilt for Python 3.8.0rc1 (#1748018)

* Mon Aug 19 2019 Miro Hrončok <mhroncok@redhat.com> - 0.0.5-5
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Mon Oct 15 2018 Carl George <carl@george.computer> - 0.0.5-2
- Only build python2 subpackage on RHEL

* Sun Oct 14 2018 Carl George <carl@george.computer> - 0.0.5-1
- Initial package

## END: Generated by rpmautospec
